Erro na geração dos fontes do Controle de Segurança SC 6

(waldemargo_ol) #1

Estou tendo um problema na criação do controle de segurança

Quando mando gerar os fontes ele sempre da um erro no aplicativo
app_form_sec_groups_apps

Ai ele emite um arquivo log do erro

in_array() expects parameter 2 to be array, string given | Script: D:\Arquivos de programas\NetMake\v6\wwwroot\scriptcase\devel\class\generator\nmFontePHPForm.class.php linha: 11942

Já apaguei varias vezes gerei o código fonte, mas mesmo assim ele continua o erro
Alguém está passando pelo mesmo problema

(Bernhard) #2

Bom dia,

Qual é o banco de dados que o Sr. está utilizando? Este módulo de segurança foi importado da V5 ou é o da V6? O Sr. já tentou gerar um novo módulo, apenas a nível de testes?

Atenciosamente,
Bernhard Bernsmann

(waldemargo_ol) #3

É um novo projeto com a geração do modulo de seguraça com banco de dados mysql

Mas mesmo assim da o erro

(waldemargo_ol) #4

Mesmo assim continua o erro sendo um banco de dados MySQL e Não foi importado da versão SC 5 e um novo projeto da versão SC 6.

(rrma) #5

Estive em contato hoje com NM pra resolver o mesmo problema que o seu.
Essa foi a resposta do Yuri, que resolveu o problema:

[i]O problema é referente ao modulo de Log junto com o Modulo de Segurança, onde os eventos do LOG nao estão vindo selecionados, para funcionar nesse momento é só editar o log da aplicação e adiocionar os eventos.
Iremos liberar uma release deixando isso de forma automatica, ou seja, os eventos ja virem selecionados no LOG.

Acesse o menu LOG --> (Log -> Aplicações).
Nas aplicações do Modulo de Segurança selecione os evento “Acesso, Insert, Delete e Update”.
OBS: Para ser mais rapido pode usar a opçao se “Selecionar Todos” presente ao lado do nome da aplicação.
Depois de ter feito isso, gere os fontes das aplicaçoes.[/i]

Eu setei “Acesso, Insert, Delete e Update” pra todos os itens relacionados ao módulo de segurança e a geração de fontes funcionou normal.
Se vc ativou o módulo de log, foi um bug no log que está causando esse erro. O Yuri disse que estarão corrigindo no próximo release.